Usage Statistics

Learn how to check your Web Unblocker usage statistics programmticaly. Monitor traffic, response times, request counts, and more.

You can check your usage statistics programmatically. These requests are free of charge.

Find your usage statistics by querying the following endpoint:

GET https://data.oxylabs.io/v1/stats
circle-exclamation

Code example

curl --user user:pass1 'https://data.oxylabs.io/v1/stats'

This query returns all-time usage statistics by default. You can also group the data by different criteria using the group_by query parameter, which accepts the values day, month, or target to segment your usage details accordingly. For instance, to view daily usage, you would append ?group_by=day to your request. Please note that all traffic is measured in bytes.

Sample output

{
    "meta": {
        "group_by": null,
        "date_from": null,
        "date_to": null,
        "source": null
    },
    "data": {
        "sources": [
            {
                "results_count_all": "1482",
                "results_count": "0",
                "realtime_results_count": "0",
                "super_api_results_count": "12777",
                "render": "0",
                "geo_location": "0",
                "average_response_time": 2.18,
                "request_traffic": "6629", 
                "response_traffic": "17850",
                "title": "universal"
            }
        ]
    }
}

Was this helpful?